Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GrailsDomainBinder.GrailsCollectionSecondPass

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsDomainBinder.GrailsCollectionSecondPass

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.SecondPass

Direct Known Subclasses:
  GrailsDomainBinder.ListSecondPass, GrailsDomainBinder.MapSecondPass

Enclosing class:
  GrailsDomainBinder

    static class GrailsDomainBinder.GrailsCollectionSecondPass

extends Object
implements org.hibernate.cfg.SecondPass

Second pass class for grails relationships. This is required as all persistent classes need to be loaded in the first pass and then relationships established in the second pass compile

Author:
  Graeme

Field Summary
`protected org.hibernate.mapping.Collection` | `collection`
`protected org.hibernate.cfg.Mappings` | `mappings`
`protected GrailsDomainClassProperty` | `property`
`protected static long` | `serialVersionUID`

Constructor Summary
`GrailsDomainBinder.GrailsCollectionSecondPass(GrailsDomainClassProperty property, org.hibernate.cfg.Mappings mappings, org.hibernate.mapping.Collection coll)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`
`void` | `doSecondPass(Map persistentClasses, Map inheritedMetas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### property

    protected GrailsDomainClassProperty property

### mappings

    protected org.hibernate.cfg.Mappings mappings

### collection

    protected org.hibernate.mapping.Collection collection

Constructor Detail

### GrailsDomainBinder.GrailsCollectionSecondPass

    public GrailsDomainBinder.GrailsCollectionSecondPass(GrailsDomainClassProperty property,
                                                         org.hibernate.cfg.Mappings mappings,
                                                         org.hibernate.mapping.Collection coll)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses,
                             Map inheritedMetas)
                      throws org.hibernate.MappingException

  Throws:
    `org.hibernate.MappingException`

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws org.hibernate.MappingException

  Specified by:
    `doSecondPass` in interface `org.hibernate.cfg.SecondPass`
  Throws:
    `org.hibernate.MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project